## com.google.appengine.api.images.dev
Class LocalBlobImageServlet

    java.lang.Object
      HttpServlet
          com.google.appengine.api.images.dev.LocalBlobImageServlet

    public final class LocalBlobImageServlet

extends HttpServlet

Stubs out dynamic image server.

Nested Class Summary
`protected static class` `LocalBlobImageServlet.Image` Utility wrapper to return image bytes and its mime type.
`protected static class` `LocalBlobImageServlet.ParsedUrl` Utility class to parse a Local URL into its component parts.

Constructor Summary
`LocalBlobImageServlet()`

Method Summary
`void` `doGet(HttpServletRequest req, HttpServletResponse resp)`
`void` `init()`
`protected LocalBlobImageServlet.Image` `transformImage(LocalBlobImageServlet.ParsedUrl request)` Transforms the given image specified in the `ParseUrl` argument.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalBlobImageServlet

    public LocalBlobImageServlet()

Method Detail

### init

    public void init()
              throws ServletException

  Throws:
    `ServletException`

### doGet

    public void doGet(HttpServletRequest req,
                      HttpServletResponse resp)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### transformImage

    protected LocalBlobImageServlet.Image transformImage(LocalBlobImageServlet.ParsedUrl request)

  Transforms the given image specified in the `ParseUrl` argument. Applies all the requested resize and crop operations to a valid image.

  Parameters:
    `request` - a valid `ParseUrl` instance
  Returns:
    the transformed image in an Image class
  Throws:
    `ApiProxy.ApplicationException` - If the image cannot be opened, encoded, or if the transform is malformed